toolzerhub API Docs

Get an event's lineups (v1)

Returns both lineups with formation, starters, substitutes, missing players and each player's match statistics and rating. An event with no lineups yet returns data: null.

1 credit / requestBilled only on success
GET
/v1/sofascore/event/lineups

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

id*integer

Event id from any event list.

Range1 <= value
curl -X GET "https://example.com/v1/sofascore/event/lineups?id=16363890" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "event_id": 0,    "confirmed": true,    "home": {      "formation": "string",      "players": [        {          "player": {            "id": 0,            "name": "string",            "short_name": "string",            "slug": "string",            "position": "string",            "jersey_number": "string",            "country": {              "code": "string",              "name": "string"            }          },          "shirt_number": 0,          "position": "string",          "substitute": true,          "captain": true,          "statistics": {            "property1": null,            "property2": null          }        }      ],      "missing": [        {          "player": {            "id": 0,            "name": "string",            "short_name": "string",            "slug": "string",            "position": "string",            "jersey_number": "string",            "country": {              "code": "string",              "name": "string"            }          },          "reason": null        }      ]    },    "away": {      "formation": "string",      "players": [        {          "player": {            "id": 0,            "name": "string",            "short_name": "string",            "slug": "string",            "position": "string",            "jersey_number": "string",            "country": {              "code": "string",              "name": "string"            }          },          "shirt_number": 0,          "position": "string",          "substitute": true,          "captain": true,          "statistics": {            "property1": null,            "property2": null          }        }      ],      "missing": [        {          "player": {            "id": 0,            "name": "string",            "short_name": "string",            "slug": "string",            "position": "string",            "jersey_number": "string",            "country": {              "code": "string",              "name": "string"            }          },          "reason": null        }      ]    }  },  "details": {    "reason": "string",    "message": "string"  }}